#ifndef __LL_TEST_EBSCAN_CPP__
#define __LL_TEST_EBSCAN_CPP__

#include "ScanData.hh"

class LRtest {

private:
  scanData * sd; // Pointer to object with observed data
  double ** LLR; // log-likelihood ratios by window size and window number
  double * LLRmax; // Maximum LLR value
  int * LLRmax_size; // index for window size that maximizes LLR
  int * LLRmax_window; // Index for window that maximizes LLR

  void calc_LLR( int, int );

public:
  LRtest( scanData * ); // Constructor function
  ~LRtest( ); // Destructor

  void calc_LLR_all( ); // Calculate LLR over all windows
  double get_LLR( int, int );
  double get_LLRmax( int );
  int get_LLRmax_size( int );
  int get_LLRmax_window( int );

};

#endif
